Subject: Re: Number of DP bits?

From: [email-masked] (Konstantinos Dovrolis)
Date: Thu, 6 Nov 1997 09:03:31 -0600

> 
> I would provide Statistical assurance, not hard guarantees.
> hard guarantees require reservations ans RSVP.
> 
> Just have a proper bandwidth assigned to each class
> 
> 3 classes = 3 queues
> 
> just say class 3 will have a guaranteed bandwidth which is always 3 times 
class 2 guaranteed 
> bandwidth.

Alessio, 

Giving a bandwidth at class 3 that is 3 times more than the bandwidth
given in class 2 DOES NOT mean that the delay of class 3 will be at most
0.3 times of the delay of class 2. The encountered delay is also a function
of the arriving traffic in either a guaranteed-model form (like Parekh's work)
or in a statistical-model form (such as Kelly's equivalent bandwidth).

For example, if during a large time interval the arrived traffic in
class 3 is 10 times more than the arrived traffic in class 2, and given
that none of the two classes is overlimit (in Sally's link-sharing terminology),
the delay that the last packet in class 3 will encounter will be about 3.3
times LARGER than the delay of the last packet in class 2 (ignoring the
specific details of the sceduling algorithm). 

In anyway, I really think that it is a bad idea to try and give quantitative
semantics in the differentiated service levels (at least not at this point).

By the way, in this huge plethora of e-mails and different opinions 
I find Eric Crawley's suggestion as critical and something that we
should always remember:

>  It is not up to us to tell the providers how to
> engineer their networks, just to give them the tools to separate and
> classify the traffic.  They can then design their profiles, set up their
> queuing, and engineer their networks to handle whatever profiles they come
> up with.  

Constantinos (going to "silent" mode)

---

From: "Alessio Casati" <[email-masked]>
Date: Thu, 6 Nov 1997 17:05:35 +0100

On  6 Nov 97 at 9:03, Konstantinos Dovrolis wrote:

Thanks for your reply
Some comments follow  (hoping to reach you in silent mode soon)

[...] saving space mode

> specific details of the sceduling algorithm). 

The example you show here is broken. If none of the two classes is overlimit,
then you engeneered the CBQ so that the delay bound I mentioned could not be
statistically  assured. A customer is granted Class x service only if
the amount of traffic it sends complies with some level declared in the profile.
You must perform some engineering of the allowed traffic in any class.

Costantinos, I hope you resume from your silent mode.

[...] saving space mode